<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class Shipment extends Model
{
    protected $table = 'shipment';

    public function supplyOrders() {
        return $this->hasMany(SupplyOrder::class, 'shipment_id', 'id');
    }

    public function labelFile() {
        return $this->hasOne(SystemFile::class, 'id', 'label_system_file_id');
    }
}
